/*
** File: prodtest.h  
** Project: ADB3 core driver
** Purpose: Defines function prototypes for IOCTL handlers that support
**          production testing.
**
** (C) Copyright Alpha Data 2011
*/

#if !defined(ADATA_CORE_PRODTEST_H)
#define ADATA_CORE_PRODTEST_H

#include <df.h>
#include "device.h"
#include <adb3/types.h>

extern DfIoStatus
ioctlGetProdTestInfo(
	Adb3CoreDeviceContext* pDevCtx,
  void* pBuffer,
  unsigned int outSize);

extern DfIoStatus
ioctlServiceIrq(
	Adb3CoreDeviceContext* pDevCtx,
  Adb3CoreClientContext* pClCtx,
  void* pBuffer,
  unsigned int outSize);

#endif
